body{
    margin: 0px;
    font-family: Calibri, Helvetica, sans-serif;
}

/*Datenschutz Imperssum - START*/
div.timestamp_imp_ds_wrapper1{
    position: fixed;
    height: calc(100vh - 80px - 54px);
    width: 100vw;
    background-color: rgba(245,245,245,0.4);          
    top: 80px;
    left: 0;
    padding: 0px 20% 0px 20%;
    z-index: 9999;
    
}

div.timestamp_imp_ds_wrapper1 .timestamp_imp_ds_wrapper2{
    position: relative;
    height: calc(100% - 24px);
    display: block;
    width: 60%;
    background-color: #ebf3d9;
    border: 2px solid #3c7393;  
    padding: 0px 20px 20px 20px;
    overflow-y: auto;
    margin-bottom: 20px;
}

div.timestamp_imp_ds_wrapper1 .timestamp_button{
    position: fixed;
    min-height: 30px;
    min-width: 80px;
    max-height: 30px;
    max-width: 30px;
    right: calc(100vw*0.2);
    top: 90px;
}

div.timestamp_imp_ds_wrapper1.ts_impds_hidden{
    
    display: none;
}
/* Datenschutz Impressum - ENDE*/

/*Feedback - START*/
div.timestamp_feedback_wrapper1{    
    position: fixed;
    height: calc(100vh - 80px - 54px);
    width: 100vw;
    background-color: rgba(245,245,245,0.4);          
    top: 80px;
    left: 0;
    padding: 0px 20% 0px 20%;
    z-index: 9999;
}

div.timestamp_feedback_wrapper1 .timestamp_feedback_wrapper2{
    position: relative;
    height: calc(100% - 24px);
    display: block;
    width: 60%;
    background-color: #ebf3d9;
    border: 2px solid #3c7393;  
    padding: 0px 20px 20px 20px;
    overflow-y: auto;
    margin-bottom: 20px;
}

div.timestamp_feedback_wrapper1 .timestamp_button{
    position: fixed;
    min-height: 30px;
    min-width: 80px;
    max-height: 30px;
    max-width: 30px;
    right: calc(100vw*0.2);
    top: 90px;
}

div.timestamp_feedback_wrapper1.ts_feedback_hidden{
    display: none;
}

div.feedback_radio{
    margin-top: 20px;
}


#timestamp_send_feedback{
    position: relative;
    float: right;
    width: 120px;
    height: 50px;
    max-width: 120px;
    max-height: 50px;
    min-width: 10px;
    min-height: 10px;
    right: 30px;
    top: 0px;
    text-align: center;
}
/* Feedback - Ende */


/*Help-Video - START*/
div.timestamp_help_wrapper1{
    
    position: fixed;
    height: calc(100vh - 80px - 54px);
    width: 100vw;
    background-color: rgba(245,245,245,0.4);          
    top: 80px;
    left: 0;
    padding: 0px 20% 0px 20%;
    z-index: 9999;
    
}

div.timestamp_help_wrapper1 .timestamp_help_wrapper2{
    position: relative;
    height: calc(100% - 24px);
    display: block;
    width: 60%;
    background-color: #ebf3d9;
    border: 2px solid #3c7393;  
    padding: 0px 20px 20px 20px;
    overflow-y: auto;
    margin-bottom: 20px;
}

div.timestamp_help_wrapper1 .timestamp_help_wrapper2 .timestamp_help_body {
        display: flex;
    flex-direction: row;  
    justify-content: center;
}

div.timestamp_help_wrapper1 .timestamp_help_wrapper2 .timestamp_help_body video{
    margin-top: 5%;
    position: relative;
    width: 90%;

/*    height: 80vh;*/
}


div.timestamp_help_wrapper1 .timestamp_button{
    position: fixed;
    min-height: 30px;
    min-width: 80px;
    max-height: 30px;
    max-width: 30px;
    right: calc(100vw*0.2);
    top: 90px;
}

div.timestamp_help_wrapper1.ts_help_hidden{
    
    display: none;
}

/* Help-Video - ENDE*/

/*Help-Workshop - START*/
div.timestamp_ws_wrapper1{
    
    position: fixed;
    height: calc(100vh - 80px - 54px);
    width: 100vw;
    background-color: rgba(245,245,245,0.4);          
    top: 80px;
    left: 0;
    padding: 0px 20% 0px 20%;
    z-index: 9999;
    
}

div.timestamp_ws_wrapper1 .timestamp_ws_wrapper2{
    position: relative;
    height: calc(100% - 24px);
    display: block;
    width: 60%;
    background-color: #ebf3d9;
    border: 2px solid #3c7393;  
    padding: 0px 20px 20px 20px;
    overflow-y: auto;
    margin-bottom: 20px;
}

div.timestamp_ws_wrapper1 .timestamp_ws_wrapper2 .timestamp_ws_body {
        display: flex;
    flex-direction: row;  
    justify-content: center;
}

div.timestamp_ws_wrapper1 .timestamp_ws_wrapper2 .timestamp_ws_body iframe{
    margin-top: 5%;
    position: relative;
    width: 90%;

/*    height: 80vh;*/
}


div.timestamp_ws_wrapper1 .timestamp_button{
    position: fixed;
    min-height: 30px;
    min-width: 80px;
    max-height: 30px;
    max-width: 30px;
    right: calc(100vw*0.2);
    top: 90px;
}


div.timestamp_ws_wrapper1.ts_ws_hidden{
    
    display: none;
}

/* Help-Workshop - ENDE*/

/*Info-PopUP - START*/

.timestamp_infopopup{    
/*height: 30%;*/
/*    width: 20%;*/
    min-width: 318px;
    min-height: 200px;
    
    max-width: 30vw;
    max-height: 60vh;
    
    overflow-x: hidden;
    overflow-y: auto;
    
    position: fixed;
    background-color: #edf4f8;
    border: 2px solid #3c7393;
    top: calc(50vh - 15%);;
    left: calc(50vw - 10%);
    z-index: 1000;   
/*    display: none;*/
    -webkit-box-shadow: 10px 10px 5px 0px rgba(0,0,0,0.75);
    -moz-box-shadow: 10px 10px 5px 0px rgba(0,0,0,0.75);
    box-shadow: 10px 10px 5px 0px rgba(0,0,0,0.75);    
    padding-bottom: 16px;
}

.timestamp_infopopup .timestamp_infopopup_header{
    background-color: #b4d2db;
    
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-end;
}

.timestamp_infopopup .timestamp_infopopup_header.timestamp_popup_header_parameter{
   background-color: #3c7393; 
}

.timestamp_infopopup .timestamp_infopopup_header.timestamp_popup_header_tooltip{
   background-color: #b4d2db; 
}

.timestamp_infopopup .timestamp_infopopup_header.timestamp_popup_header_hint{
   background-color: yellowgreen; 
}

.timestamp_infopopup .timestamp_infopopup_header.timestamp_popup_header_error{
   background-color: red; 
}

.timestamp_infopopup .timestamp_infopopup_header.timestamp_popup_header_success{
   background-color: green; 
}

.timestamp_infopopup .timestamp_infopopup_header .timestamp_infopopup_header_title{
    
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    
    color: whitesmoke;
    width: 100%;
    height: auto;
    
    font-size: 18px;
    font-weight: 700;
}

.timestamp_infopopup .timestamp_infopopup_header .timestamp_infopopup_header_close{
    margin: 5px 5px 5px 5px;
    color: whitesmoke;
}    

.timestamp_infopopup .timestamp_infopopup_body{
        
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    padding: 10px;
}

.timestamp_infopopup .timestamp_infopopup_body .ts_text_uberschrift01{
    margin-bottom: 10px;
}

.timestamp_infopopup .timestamp_infopopup_body .ts_text_textkoerper01{
    margin-bottom: 10px;
}

.timestamp_infopopup .timestamp_infopopup_body .timestamp_image_wrapper{
    
}

/*Info-PopUP - ENDE*/

.timestamp_logindialog{    
/*height: 30%;*/
/*    width: 20%;*/
    width: 318px;
    position: fixed;
    background-color: #edf4f8;
    border: 2px solid #3c7393;
    top: calc(50vh - 15%);;
    left: calc(50vw - 10%);
    z-index: 10;   
    display: none;
    -webkit-box-shadow: 10px 10px 5px 0px rgba(0,0,0,0.75);
    -moz-box-shadow: 10px 10px 5px 0px rgba(0,0,0,0.75);
    box-shadow: 10px 10px 5px 0px rgba(0,0,0,0.75);    
    padding-bottom: 16px;
}

.timestamp_logindialog > *:not(.timestamp_dialog_header){
    margin-left: 20px;
    margin-right: 20px;
}

.timestamp_logindialog .form-group.row > div{
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    margin-bottom: 10px;
}

.timestamp_logindialog .form-group.row:last-child > div{
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin-top: 20px;
}

.timestamp_logindialog .form-group.row:last-child > div button{
    margin-left: 10px;
    margin-right: 10px;
    color: whitesmoke;
    font-size: 16px;
    background-color: #3c7393;
    padding: 3px 6px 3px 6px;
    border-color: #9ebac3;
    font-weight: bold;
    font-family: inherit;
}

.timestamp_logindialog .form-group.row:last-child > div button:hover{
    cursor: pointer;
    background-color: #326380;
    border-color: #3c7393;
}    

.timestamp_logindialog .form-group.row div label{
    position: absolute;
    left: 20px;
    font-weight: bold;
}

.timestamp_logindialog .form-group.row div input{
    border-color: #c0cbcb;
    padding: 2px;
    width: 150px;
    font-size: 14px;
    font-family: Calibri, Helvetica, sans-serif;
}

.timestamp_logindialog .timestamp_dialog_header{
    display: block;
    background-color: #3c7393;
    color: whitesmoke;
    padding: 5px 5px 5px 5px;
}

.timestamp_logindialog .timestamp_dialog_header h3{
    margin: 0px;
} 

.timestamp_logindialog .timestamp_dialog_header p{
    margin: 16px 5px 16px 5px;
} 

.timestamp_logindialog:hover{  
    cursor: grab;
}

.timestamp_header_wrapper{
    
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    height: 80px;
    border-bottom: 2px solid rgb(60, 115, 147);
}

.timestamp_header_wrapper_background{
    position: absolute;
    width: 100%;
/*    background-color: green;*/
    height: 80px; 
    z-index: 0;
}

.timestamp_header_wrapper_background_overlay{
    position: absolute;
/*    background-color: #6c8738;*/
background: rgb(255,255,255);
/*background: linear-gradient(90deg, rgb(250, 250, 233) 5%, rgba(255, 255, 233, 0) 35%, rgb(250, 250, 233) 85%);*/
/*background: linear-gradient(90deg, rgb(232, 241, 218) 5%, rgba(232, 241, 218, 0) 35%, rgb(232, 241, 218) 85%);*/
    background: linear-gradient(90deg, rgb(221, 234, 238) 5%, rgba(221, 234, 238, 0) 35%, rgb(221, 234, 238) 85%);
    height: 100%;
    width: 100%;
/*    opacity: 0.2;*/
}

.timestamp_header_wrapper_background_image{
    position: absolute;
    width: 100%;    
    height: 80px; 
/*    background-image: url("../media/images/hintergrund_kreise_02_gruen.jpg");*/
    background-image: url("../media/images/Unbenannt_a.png");
    background-repeat: repeat;
/*    background-size: 256px;*/
}

.timestamp_main_wrapper{    
    display: flex;
    flex-direction: row;
    width: 100%;
    background-color: rgb(243, 248, 237);
    height: calc(100vh - 80px - 54px - 4px);
}

.timestamp_footer_wrapper{    
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    width: 100%;
    height: 54px;
    border-top: 2px solid rgb(60, 115, 147);
}

.timestamp_footer_wrapper_background{
    position: absolute;
    width: 100%;
/*    background-color: green;*/
    height: 54px; 
    z-index: 0;
}

.timestamp_footer_wrapper_background_overlay{
    position: absolute;
/*    background-color: #6c8738;*/
    height: 100%;
    width: 100%;
/*background: linear-gradient(90deg, rgba(250, 250, 233, 0) 0%, rgba(255, 255, 233, 0) 35%, rgb(250, 250, 233) 60%);*/
background: linear-gradient(90deg, rgba(221, 234, 238, 0) 0%, rgba(221, 234, 238, 0) 35%, rgb(221, 234, 238) 60%);
/*    opacity: 0.2;*/
}

.timestamp_footer_wrapper_background_image{
    position: absolute;
    width: 100%;    
    height: 54px; 
/*    background-image: url("../media/images/hintergrund_kreise_02_gruen.jpg");*/
    background-image: url("../media/images/Unbenannt_b.png");
    background-repeat: repeat;
/*    background-size: 256px;*/
}

.timestamp_footer_links_wrapper{
    z-index: 1;
    display: flex;
    flex-direction: row;
    justify-content: end;
    align-items: center;
/*    background-image: radial-gradient(#e1e786 20%, #e1e786bf 60%, #e1e78600 80%);*/
    padding-right: 20px;
    padding-left: 20px;
}

.timestamp_footer_link{
    padding-left: 8px;
    padding-right: 8px;    
}

.timestamp_footer_link a{
    color: #2d556c;
}

.timestamp_footer_link img.timestamp_footer_partnerlogo{
    height: 30px;
    padding: 4px;
    border: 1px solid #3d749354;
    background-color: #f5f5f5;
}

.timestamp_header_logo_wrapper{
    z-index: 1;
/*    padding: 20px;*/
/*    width: 226px;*/
    padding: 5px 20px 5px 20px;
/*    background-image: radial-gradient(#e1e786 5%, #e1e786bf 10%, #e1e78600 80%);*/
}

.timestamp_footer_partnerlogo:hover{
/*    background-image: radial-gradient(#f5ffda 20%, #f5ffda 60%, #e1e78600 80%);*/
}

.timestamp_header_logo{
    color: #6c8738;
    font-family: Calibri, Helvetica, sans-serif;
    font-size: 40px;
    letter-spacing: 5.28px;
    /*background-image: linear-gradient(#fff0 0%, #FFFFFFBA 30%, #FFFFFFBA 60%, #fff0 100%);*/
/*    background-image: radial-gradient(#e1e786 20%, #e1e786bf 60%, #e1e78600 80%);*/
    
    
}

.timestamp_header_logo > img{
    max-height: 70px;
}

.timestamp_header_worktabs_wrapper{
    z-index: 1;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: flex-end;
    width: calc(100% - 226px - 40px - 160px - 40px);
}

.timestamp_header_worktabs_wrapper > .timestap_worktab:last-child{
    border-right: 1px solid whitesmoke;
}

.timestamp_header_worktabs_wrapper > .timestap_worktab > div:first-child{
    margin-right: 20px;
    margin-left: 10px;
}

.timestap_worktab{
    background-color: rgb(221, 234, 238);
    max-height: 26px;
    height: 26px;
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;    
    border-left: 1px solid whitesmoke;
    border-top: 1px solid whitesmoke;
    padding: 4px;
    min-width: 90px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    color: #2d556c;
    position: relative;
}
/*.timestap_worktab:first-child{
    box-shadow: -3px -1px 5px 0px rgba(0,0,0,0.75);
}*/

.timestap_worktab.ts_short_highlight{
  background-color: #3d7493;
  font-weight: bold;
  color: whitesmoke;
  transition: background-color font-weight color 1s;
}

.timestap_worktab:hover{
    cursor: pointer;
    background-color: #b4d2db;
    color: #2d556c;
}  

.timestap_worktab.timestamp_activeworktab{
    background-color: #3d7493;
    font-weight: bold;
    color: whitesmoke;
}

.timestamp_worktab_close{
    padding-left: 4px;
    margin-bottom: 12px;
    font-size: 14px;
    right: 4px;
    top: 4px;
    position: absolute;
}

.timestamp_worktab_close:hover.fa-times-circle:before{
    font-weight: 900;
}

.timestamp_header_logout_login_wrapper{
    z-index: 1;
    width: 160px;
    padding: 20px;
    display: flex;
    flex-direction: row;
/*    background-image: radial-gradient(#e1e786 20%, #e1e786bf 60%, #e1e78600 80%);*/
}

.timestamp_header_logout_login_usergrouplogo{
    height: 100%;
    width: 100px;
    background-color: #ff00;
}

.timestamp_header_logout_login_userwrapper{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;    
}

.timestamp_header_logout_login_button{
    font-size: 20px;
}

.timestamp_header_logout_login_userident{
    color: #6c8738; 
    font-weight: bold;
}

.timestamp_header_logout_login_userident > span:empty:before{
    content: 'Anmelden';
    color: #3d7493;
}

.timestamp_header_logout_login_button.fas.fa-sign-in-alt,
.timestamp_header_logout_login_button.fas.fa-user-circle{
    color: #873838; 
}

.timestamp_header_logout_login_button.fas.fa-sign-out-alt,
.timestamp_header_logout_login_button.fas.fa-user-circle{
    color: #3d7493; 
}

.ts_welcome{
    width: 50%;
    margin: auto;
}

.ts_welcome h3{
    color: #6c8738; 
}

.ts_welcome span i.fas{
    color: #3d7493; 
}

.timestamp_header_logout_login_button:hover{
    cursor: pointer;
}

.timestamp_input.timestamp_cur_table_page{
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    margin-right: 2px;
    margin-left: 2px;
}

td, th, tr, table {
  border: 1px #a3bfcd solid;
  border-collapse: collapse;
  text-align: left;
      padding-left: 5px;
    padding-right: 5px;
}

table{
  table-layout: fixed;
  width: 100%;  
  overflow: auto;
  display: block;
}

table td.ts_colored_td{
    padding: 0px 0px 0px 0px;
}

table td.ts_colored_td > div{
    padding: 1px 5px 1px 5px;
}

th{
    background-color: #b4d2db;
    color: #3d7493;

}

th.ts_button_col{
    width: 34px;
}

th div{
    display: flex;
    flex-direction: column;
}

tbody tr:hover{
    background-color: #ddeaee;
    cursor: default;
}

.timestamp_button_group {
  display: flex;   
}

.timestamp_button_group label{
    margin-right: 4px;
}

*.ts_highlighted{
    background-color: #ffb2c1bd;
}

/***Cookie-Info**/

#cookieinfowrapper a {color:#000; text-decoration:none;}

#cookieinfowrapper a:hover {text-decoration:underline;}

#cookieinfowrapper div {padding:10px; padding-right:40px;}

#cookieinfowrapper { 
   outline: 1px solid #7b92a9; 
   text-align:right; 
   border-top:1px solid #fff;
   background: #d6e0eb; 
   background: -moz-linear-gradient(top, #d6e0eb 0%, #f2f6f9 100%); 
   background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#d6e0eb), color-stop(100%,#f2f6f9)); 
   background: -webkit-linear-gradient(top, #d6e0eb 0%,#f2f6f9 100%); 
   background: -o-linear-gradient(top, #d6e0eb 0%,#f2f6f9 100%);
   background: -ms-linear-gradient(top, #d6e0eb 0%,#f2f6f9 100%); 
   background: linear-gradient(to bottom, #d6e0eb 0%,#f2f6f9 100%); 
   filter: progid:DXImageTransform.Microsoft.gradient(   startColorstr='#d6e0eb', endColorstr='#f2f6f9',GradientType=0 ); 
   position:fixed;
   bottom:0px; 
   z-index:10000; 
   width:100%; 
   font-size:16px; 
   line-height:20px;}

#cookieinfowrapperCloser {
   color: #777;
   font: 14px/100% arial, sans-serif;
   position: absolute;
   right: 5px;
   text-decoration: none;
   text-shadow: 0 1px 0 #fff;
   top: 5px;
   cursor:pointer;
   border-top:1px solid white; 
   border-left:1px solid white; 
   border-bottom:1px solid #7b92a9; 
   border-right:1px solid #7b92a9; 
   padding:4px;
   background: #ced6df; /* Old browsers */
   background: -moz-linear-gradient(top, #ced6df 0%, #f2f6f9 100%); 
   background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#ced6df), color-stop(100%,#f2f6f9)); 
   background: -webkit-linear-gradient(top, #ced6df 0%,#f2f6f9 100%); 
   background: -o-linear-gradient(top, #ced6df 0%,#f2f6f9 100%); 
   background: -ms-linear-gradient(top, #ced6df 0%,#f2f6f9 100%); 
   background: linear-gradient(to bottom, #ced6df 0%,#f2f6f9 100%); 
   filter: progid:DXImageTransform.Microsoft.gradient(    startColorstr='#ced6df', endColorstr='#f2f6f9',GradientType=0 ); 
 }

#cookieinfowrapperCloser:hover {border-bottom:1px solid white; border-right:1px solid white; border-top:1px solid #7b92a9; border-left:1px solid #7b92a9;}
